#数据源配置
spring:
  redis:
    ##redis 单机环境配置
    host: 127.0.0.1
    port: 6379
    password:
    database: 5
    ssl: false
    ##redis 集群环境配置
    #cluster:
    #  nodes: 127.0.0.1:7001,127.0.0.1:7002,127.0.0.1:7003x
    #  commandTimeout: 5000
  datasource:
    # MySql
#    url: jdbc:mysql://127.0.0.1:3306/zh_goods_sys?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    url: jdbc:mysql://localhost:3306/macao_zh_sys?useSSL=false&useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&transformedBitIsBoolean=true&serverTimezone=GMT%2B8&nullCatalogMeansCurrent=true&allowPublicKeyRetrieval=true
    username: root
    password: 123456
    # PostgreSQL
    #url: jdbc:postgresql://127.0.0.1:5432/bladex_boot
    #username: postgres
    #password: 123456
    # Oracle
    #url: jdbc:oracle:thin:@127.0.0.1:1521:orcl
    #username: BLADEX_BOOT
    #password: BLADEX_BOOT
    # SqlServer
    #url: jdbc:sqlserver://127.0.0.1:1433;DatabaseName=bladex_boot
    #username: bladex_boot
    #password: bladex_boot

  ldap:
    urls: ldap://22.236.1.35:389
    base: DC=mo,DC=ad,DC=boc-ap,DC=com
    username: ou=acs,ou=componentaccounts,dc=platform,dc=xxxx,dc=com
    password:

#第三方登陆
social:
  enabled: true
  domain: http://127.0.0.1:1888

#blade配置
blade:
  #分布式锁配置
#  lock:
    ##是否启用分布式锁
#    enabled: false
    ##redis服务地址
#    address: redis://127.0.0.1:6379
  #本地文件上传
  file:
    remote-mode: true
    upload-domain: http://localhost:8999
#    remote-path: /usr/share/nginx/html
    remote-path: D:/h_long/temp

#
#  prop:
#    #    upload-domain: http://test.58fo.com/visit
#    #    remote-path: /data/appdata/ces/resources
#    upload-domain: http://wap.91syzl.com/visit
#    remote-path: D:/h_long/temp
#    remote-mode: true
#    remote-path-iis: D://iis/html
#    log-mode: true


oss:
  enabled: true
  name: minio
  tenant-mode: false
  endpoint: http://192.168.1.218:90
  access-key: D99KGE6ZTQXSATTJWU24
  secret-key: QyVqGnhIQQE734UYSUFlGOZViE6+ZlDEfUG3NjhJ

hangxin:
  url: http://22.237.189.107:9001
  sysid: "000017"
